import { CreateOptions as FlexSearchCreateOptions } from 'flexsearch';
import { GatsbyNode, PluginOptions as GatsbyPluginOptions } from 'gatsby';
export declare enum Engine {
    FlexSearch = "flexsearch",
    Lunr = "lunr"
}
interface NormalizerInput {
    errors?: unknown;
    data?: unknown;
}
export interface PluginOptions extends GatsbyPluginOptions {
    name: string;
    engine: Engine;
    engineOptions?: FlexSearchCreateOptions;
    ref?: string;
    index?: string[];
    store?: string[];
    query: string;
    normalizer: (input: NormalizerInput) => IndexableDocument[];
}
declare type IndexableDocument = Record<string, unknown>;
export declare const createPages: NonNullable<GatsbyNode['createPages']>;
export {};
